cryptonite-0.10: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | stable
Portability | good
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.AES

Description

Synopsis

- data AES128
- data AES192
- data AES256

# Documentation

data AES128 Source

AES with 128 bit key

Instances

NFData AES128 Source |
Cipher AES128 Source |
BlockCipher128 AES128 Source |
BlockCipher AES128 Source |

data AES192 Source

AES with 192 bit key

Instances

NFData AES192 Source |
Cipher AES192 Source |
BlockCipher128 AES192 Source |
BlockCipher AES192 Source |

data AES256 Source

AES with 256 bit key

Instances

NFData AES256 Source |
Cipher AES256 Source |
BlockCipher128 AES256 Source |
BlockCipher AES256 Source |